cURL
curl --request POST \ --url https://api.tryvital.io/v2/link/bulk_export \ --header 'Content-Type: application/json' \ --header 'x-vital-api-key: <api-key>' \ --data ' { "provider": "oura", "user_ids": [ "3c90c3cc-0d44-4b50-8888-8dd25736052a" ], "next_token": "<string>" } '
{ "data": [ { "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "access_token": "<string>", "refresh_token": "<string>", "provider_id": "<string>", "expires_at": 123, "oauth_scopes": [ "<string>" ] } ], "next_token": "<string>" }
Vital Team API Key
ℹ️ This enum is non-exhaustive.
oura
fitbit
garmin
strava
wahoo
ihealth
withings
google_fit
dexcom_v3
polar
cronometer
omron
whoop_v2
my_fitness_pal_v2
ultrahuman
runkeeper
Successful Response
Show child attributes
Vital User ID. The user must be created ahead of the bulk import operation.
User ID of the data provider.
Access token expiry date, in terms of UNIX epoch seconds.
2147483647
OAuth scopes of the data provider. Specify null if you do not have any scopes on record.
null
Was this page helpful?